Loading...
Searching...
No Matches
BALL::QSAR::InputConfiguration Struct Reference

`#include <BALL/QSAR/configIO.h>`

## Public Member Functions

| InputConfiguration ()

## Public Attributes

String | sd_file
std::multiset< int > | activities
std::set< String > | activity_names
bool | read_sd_descriptors
bool | center_data
bool | center_y
String | output
double | validation_fraction
bool | separate_activity_file
bool | within_section
vector< String > | csv_file
vector< int > | csv_no_response
vector< bool > | csv_desc_labels
vector< bool > | csv_compound_labels
vector< String > | csv_separator
bool | nonnumeric_class_names
bool | done

## Detailed Description

Definition at line 19 of file configIO.h.

## Constructor & Destructor Documentation

## InputConfiguration()

BALL::QSAR::InputConfiguration::InputConfiguration | ( |  | ) |

## Member Data Documentation

## activities

std::multiset<int> BALL::QSAR::InputConfiguration::activities

Definition at line 24 of file configIO.h.

## activity_names

std::set<String> BALL::QSAR::InputConfiguration::activity_names

Definition at line 25 of file configIO.h.

## center_data

bool BALL::QSAR::InputConfiguration::center_data

Definition at line 27 of file configIO.h.

## center_y

bool BALL::QSAR::InputConfiguration::center_y

Definition at line 28 of file configIO.h.

## csv_compound_labels

vector<bool> BALL::QSAR::InputConfiguration::csv_compound_labels

Definition at line 36 of file configIO.h.

## csv_desc_labels

vector<bool> BALL::QSAR::InputConfiguration::csv_desc_labels

Definition at line 35 of file configIO.h.

## csv_file

vector<String> BALL::QSAR::InputConfiguration::csv_file

Definition at line 33 of file configIO.h.

## csv_no_response

vector<int> BALL::QSAR::InputConfiguration::csv_no_response

Definition at line 34 of file configIO.h.

## csv_separator

vector<String> BALL::QSAR::InputConfiguration::csv_separator

Definition at line 37 of file configIO.h.

## done

bool BALL::QSAR::InputConfiguration::done

Definition at line 39 of file configIO.h.

## nonnumeric_class_names

bool BALL::QSAR::InputConfiguration::nonnumeric_class_names

Definition at line 38 of file configIO.h.

## output

String BALL::QSAR::InputConfiguration::output

Definition at line 29 of file configIO.h.

## read_sd_descriptors

bool BALL::QSAR::InputConfiguration::read_sd_descriptors

Definition at line 26 of file configIO.h.

## sd_file

String BALL::QSAR::InputConfiguration::sd_file

Definition at line 23 of file configIO.h.

## separate_activity_file

bool BALL::QSAR::InputConfiguration::separate_activity_file

Definition at line 31 of file configIO.h.

## validation_fraction

double BALL::QSAR::InputConfiguration::validation_fraction

Definition at line 30 of file configIO.h.

## within_section

bool BALL::QSAR::InputConfiguration::within_section

Definition at line 32 of file configIO.h.